use crate::sync_client::SyncClientID;
use crate::user::{APIClientID, UserID};

/// Broadcast messages
#[derive(Debug, Clone)]
pub enum BroadcastMessage {
    /// Request to close the session of a specific client
    CloseClientSession(APIClientID),
    /// Close all the sessions of a given user
    CloseAllUserSessions(UserID),
    /// Stop sync client for a given user
    StopSyncTaskForUser(UserID),
    /// Start sync client for a given user (if not already running)
    StartSyncTaskForUser(UserID),
    /// Stop a client with a given client ID
    StopSyncClient(SyncClientID),
}
